%define	version 0.7
%define	release 0.20010319
%define	name bluefish
%define	prefix /usr
%define	blconf %{_builddir}/%{name}-%{version}/bluefish.wmconfig

Summary:   The Bluefish HTML Editor
Name:        %{name}
Version:     %{version}
Release:     %{release}
Copyright: GPL
Group:     Applications/Editors
Source:    http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
Source2:   bluefish.wmconfig
Source3:   bluefish.desktop
URL:       http://bluefish.openoffice.nl/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix:    %{_prefix}
Packager:  Bo Forslund@abc.se   <bo.forslund@abc.se>



%description
bluefish is a GTK HTML editor for the experienced web designer. It is
currently in alpha stage, it is very usable but some features are not
yet completely finished. Bluefish is released under the GPL licence. 


%prep
%setup -q -n %{name}-%{version}

%build
%__autoconf

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall pixmapsdir=$RPM_BUILD_ROOT%{_datadir}/pixmaps  \
             pkgdatadir=$RPM_BUILD_ROOT%{_datadir}/bluefish \
             mandir=$RPM_BUILD_ROOT%{_mandir}

# Since this is specific to Red Hat Linux, we'll leave this in the spec file.

#if [ ! -d /usr/src/redhat ]; then
	mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig
	install -m 0644 %{blconf} $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig/bluefish
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README ChangeLog BUGS AUTHORS NEWS TODO

%attr( 0644, root, root ) %config(missingok) %{_sysconfdir}/X11/wmconfig/bluefish
%attr( 0755, root, root ) %{_bindir}/*
%attr( 0644, root, root ) %{_mandir}/man1/*
%attr( 0644, root, root ) %{_datadir}/locale/??/LC_MESSAGES/*
%attr( 0644, root, root ) %{_datadir}/bluefish/*
%attr( 0644, root, root ) %{_datadir}/pixmaps/bluefish_icon.xpm

%changelog
* Thu Mar 22 2001 Bo Forslund <bo.forslund@abc.se>
- changed to macros in pathnames
* Fri Feb  9 2001 Bo Forslund <bo.forslund@abc.se>
- added %__autoconf and changed if ( ... ) to if [ ... ]
- changed the make part to %make
- and the ./configure part to %configure
* Mon Feb 05 2001 Kevin Ford <klford@uitsg.com>
- added requires for GTK and imlib
* Mon Jan 29 2001 Kevin Ford <klford@uitsg.com>
- remove SOURCE2: This was really not the way to do it
- added a define blconf for the bluefish.wmconfig problem
- changed the install section to reflect the above
- made the bluefish.wmconfig conditional based on Redhat an it's veriants
* Mon Jan 22 2001 Kevin Ford <klford@uitsg.com>
- added defines to enable builds on differnet rpm systems
- added %{name}-%{version} SOURCE2: because the Redhat wmconfig section
  couldn't find the file during build
- moved %build to above the ./configure section (./configure is not part of setup)
- added -q switch to setup
- changed single wildcard (?) selector to (*) wildcard selector in files section
- cleanup of changelog
* Fri Sep 29 2000  Bo Forslund  <bo.forslund@abc.se>
- cleaning up the spec file
* Sat Sep  2 2000  Bo Forslund  <bo.forslund@abc.se>
  - pkgdatadir now defaults to /usr/share/bluefish
    used to be /usr/lib/bluefish
* Thu Aug 24 2000  Bo Forslund  <bo.forslund@abc.se>
  - run autoconf, configure doesn't exixt yet.
* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig
* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)
* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5
* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up
